GET

people API

Retrieve and manage people records from the Apps4Edu sync database.

Endpoint Path

GET /api/people

CURL Example

curl "https://api.apps4education.co.uk/api/people?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
personID int
firstName varchar
middleName varchar
lastName varchar
formerLastName varchar
preferredFirstName varchar
preferredLastName varchar
alternativePreferredNameFormat tinyint
alternativeLegalNameFormat tinyint
legalFullName varchar
preferredFullName varchar
prefix varchar
honours varchar
photo varchar
personHasPhoto varchar
dateOfBirth datetime
gender varchar
genderDescription text
deceased datetime
salutation varchar
isDiscloseAddress tinyint
alternativePreferredName varchar
monthOfBirthDescription text
monthOfBirth int
hisHer varchar
hisHerCapitalised varchar
heshe varchar
heSheCapitalised varchar
sondaughter varchar
sonDaughterCapitalised varchar
himHer varchar
notes text
daysToBirthday int
privateNotes text
isDataConsentGranted varchar
alternativePreferredFullName varchar
preferredPronounName varchar
genderIdentityName varchar
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "personID": 101,
      "firstName": "example_value",
      "middleName": "example_value",
      "lastName": "example_value",
      "formerLastName": "example_value",
      "preferredFirstName": "example_value",
      "preferredLastName": "example_value",
      "alternativePreferredNameFormat": "example_value",
      "alternativeLegalNameFormat": "example_value",
      "legalFullName": "example_value",
      "preferredFullName": "example_value",
      "prefix": "example_value",
      "honours": "example_value",
      "photo": "example_value",
      "personHasPhoto": "example_value",
      "dateOfBirth": "example_value",
      "gender": "example_value",
      "genderDescription": "example_value",
      "deceased": "example_value",
      "salutation": "example_value",
      "isDiscloseAddress": true,
      "alternativePreferredName": "example_value",
      "monthOfBirthDescription": "example_value",
      "monthOfBirth": "example_value",
      "hisHer": true,
      "hisHerCapitalised": true,
      "heshe": "example_value",
      "heSheCapitalised": true,
      "sondaughter": "example_value",
      "sonDaughterCapitalised": true,
      "himHer": "example_value",
      "notes": "example_value",
      "daysToBirthday": "example_value",
      "privateNotes": "example_value",
      "isDataConsentGranted": true,
      "alternativePreferredFullName": "example_value",
      "preferredPronounName": "example_value",
      "genderIdentityName": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.